{% extends 'shared/_site.html' %}
{% load static %}
{% block keywords %}

<meta name="keywords" content="{{ view.keywords }}" />
<meta name="description" content="{{ view.description }}" />

{% endblock %}


{% block styles %}
<link rel="stylesheet" href="{% static 'assets/plugins/fancybox/jquery.fancybox.min.css' %}" />
{% endblock %}
{% block scripts %}
<script src="{% static 'assets/plugins/fancybox/jquery.fancybox.min.js' %}"></script>
<script>
    $('[data-fancybox="gallery"]').fancybox({
        // Options will go here
    });
</script>
{% endblock %}

{% block body %}
<main>
    <section class="">
        <nav aria-label="breadcrumb">
            <div class="crumb">
                <div class="container crumb">
                    <h2>Gallery</h2>
                    <ol>
                        <li class="crumb-item"><a href="{% url 'home' %}">Home</a></li>
                        <li class="crumb-item active" aria-current="page"><a href="#">Gallery</a></li>
                    </ol>
                </div>
            </div>
        </nav>
    </section>
    <!-- Gallery -->
    <div class="container">
        <nav class="mb-40">
            <div class="nav nav-tabs centered" id="nav-tab" role="tablist">
                {% for category in categories %}
                    {% if forloop.first %}
                        <a class="nav-item nav-link active" id="nav-{{ category.slug }}-tab-{{ forloop.counter }}" data-toggle="tab" href="#nav-{{ category.slug }}-{{ forloop.counter }}"
                            role="tab" aria-controls="nav-{{ category.slug }}-{{ forloop.counter }}" aria-selected="true">{{ category.title }}</a>
                    {% else %}
                        <a class="nav-item nav-link" id="nav-{{ category.slug }}-tab-{{ forloop.counter }}" data-toggle="tab" href="#nav-{{ category.slug }}-{{ forloop.counter }}"
                            role="tab" aria-controls="nav-{{ category.slug }}-{{ forloop.counter }}" aria-selected="false">{{ category.title }}</a>
                    {% endif %}
                {% endfor %}
            </div>
        </nav>
        <div class="tab-content" id="nav-tabContent">
            {% for category in categories %}
                {% if forloop.first %}
                    <div class="tab-pane fade show active" id="nav-{{ category.slug }}-{{ forloop.counter }}" role="tabpanel" aria-labelledby="nav-{{ category.slug }}-tab-{{ forloop.counter }}">
                        {% for group in groups %}
                            <div class="row">
                                {% for post in group.galleries.all %}
                                    {% if post.category == category %}
                                        <div class="col-lg-4 col-sm-6 text-center">
                                            <div class="container-overlay">
                                                <a href="{{ post.pic.url }}" data-fancybox data-caption="{{ post.title }}">
                                                    <img src="{{ post.thumb.url }}" alt="{{ post.alternate_text }}" class="image mt-20">
                                                </a>
                    
                                                <a href="{{ post.pic.url }}" data-fancybox data-caption="{{ post.title }}">
                                                    <div class="overlay">
                                                        <h4>{{ post.title }}</h4>
                                                    </div>
                                                </a>
                                            </div>
                                        </div>
                                    {% endif %}
                                {% endfor %}
                            </div>
                        {% endfor %}
                    </div>
                {% else %}
                <div class="tab-pane fade" id="nav-{{ category.slug }}-{{ forloop.counter }}" role="tabpanel" aria-labelledby="nav-{{ category.slug }}-tab-{{ forloop.counter }}">
                    {% for group in groups %}
                        <div class="row">
                            {% for post in group.galleries.all %}
                                {% if post.category == category %}
                                    <div class="col-lg-4 col-sm-6 text-center">
                                        <div class="container-overlay">
                                            <a href="{{ post.pic.url }}" data-fancybox data-caption="{{ post.title }}">
                                                <img src="{{ post.thumb.url }}" alt="{{ post.alternate_text }}" class="image mt-20">
                                            </a>
                
                                            <a href="{{ post.pic.url }}" data-fancybox data-caption="{{ post.title }}">
                                                <div class="overlay">
                                                    <h4>{{ post.title }}</h4>
                                                </div>
                                            </a>
                                        </div>
                                    </div>
                                {% endif %}
                            {% endfor %}
                        </div>
                    {% endfor %}
                </div>
                {% endif %}
            {% endfor %}
            
        </div>

    </div>

    {% include 'partials/say-hello.html' %}

</main>
{% endblock %}